<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Block_Adminhtml_Progressbar extends Mage_Adminhtml_Block_Template
{
    protected function _construct()
    {
        $this->setData('template', 'kiwiz/progressbar.phtml');
        parent::_construct();
    }

    public function getPercent()
    {
        if(!$this->getMax()) return 100;
        return round($this->getValue()*100/$this->getMax());
    }

    public function getLabel()
    {
        $value = number_format($this->getValue(), 0, '.', ' ');
        $max = number_format($this->getMax(), 0, '.', ' ');
        $percent = $this->getPercent();
        return $value.' / '.$max.' ('.$percent.'%)';
    }
}