<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

abstract class MA_Kiwiz_Block_Adminhtml_Renderer_Kiwizaction_Abstract extends Mage_Adminhtml_Block_Widget_Grid_Column_Renderer_Abstract
{
    abstract protected function _getSendUrl($objectId);

    public function render(Varien_Object $row)
    {
        $html = array();

        if($row->getData('kiwiz_status') == MA_Kiwiz_Model_Source_Status::NOT_SENT) {
            $html[] = '
            <div style="text-align: center;">
                <a title="'.$this->__('Send to Kiwiz').'" href="'.$this->_getSendUrl($row->getId()).'">
                    '.$this->__('Send to Kiwiz').'
                </a>
            </div>
            ';
        }

        if($row->getData('kiwiz_message')) {
            $html[] = '<p style="
                margin: 5px;
                padding: 5px;
                text-align: center;
                color: #000;
                background-color: #ffdab9;
                border: 1px solid #ddb897;
            ">'.$row->getData('kiwiz_message').'</p>';
        }

        return implode(PHP_EOL, $html);
    }
}
