<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Block_Adminhtml_Renderer_Kiwizstatus extends Mage_Adminhtml_Block_Widget_Grid_Column_Renderer_Abstract
{
    public function render(Varien_Object $row)
    {
        $value = $row->getData($this->getColumn()->getIndex());
        if($value == MA_Kiwiz_Model_Source_Status::DO_NOT_SEND) return "";

        $h = Mage::helper('kiwiz');
        $alt = Mage::getModel('kiwiz/source_status')->getStatusLabel($value);
        $src = $h->getKiwizStatusImgUrl($value);

        $data = array();
        if($row->getData('kiwiz_block_hash'))
            $data[] = "<span style='font-weight: bold;'>".$h->__('Block hash')." :</span> <span>".$row->getData('kiwiz_block_hash')."</span>";
        if($row->getData('kiwiz_file_hash'))
            $data[] = "<span style='font-weight: bold;'>".$h->__('File hash')." :</span> <span>".$row->getData('kiwiz_file_hash')."</span>";

        $html = "
            <div style='text-align: center; position: relative;'>
                <img onmouseenter='$(this).up().select(\"p\").first().show()' style='display:inline-block; width:20px; height: 20px;' src='$src' alt='$alt'>
                ".(
                count($data) > 0
                    ? "<p style='
                            font-size: 9px;
                            line-height: 11px;
                            position: absolute;
                            right:0;
                            top: 0;
                            word-wrap: break-word;
                            width: 200px;
                            height:50px;
                            overflow-y:auto;
                            padding: 5px;
                            margin: 0;
                            background-color: #fafad2;
                            border: 1px solid #eaead2;
                            display: none;
                            z-index: 1000;
                       ' onmouseleave='$(this).hide()'>".implode("<br>", $data)."</p>"
                    : ""
                )."
            </div>
        ";

        return $html;
    }
}
