<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Block_Adminhtml_System_Config_Conflict extends Mage_Adminhtml_Block_Template implements Varien_Data_Form_Element_Renderer_Interface
{
    protected function _construct()
    {
        $this->setData('template', 'kiwiz/conflicts.phtml');
        parent::_construct();
    }

    public function render(Varien_Data_Form_Element_Abstract $element)
    {
        return $this->toHtml();
    }

    public function getRewriteConflicts()
    {
        $rewrites = Mage::helper('kiwiz/conflict')->getRewrites();
        $conflicts = array();
        foreach ($rewrites as $key => $classes) {
            if(count($classes)>1) {
                $conflicts[$key] = $classes;
            }
        }
        return $conflicts;
    }

    public function getPicto($state = true)
    {
        return '<img style="width: 20px; height: 20px; vertical-align:text-top;" src="'.Mage::helper('kiwiz')->getBooleanPictoUrl($state).'" alt="'.($state ? 'ok' : 'ko').'">';
    }
}