<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

abstract class MA_Kiwiz_Controller_Adminhtml_DocumentControllerAbstract extends Mage_Adminhtml_Controller_Action
{
    abstract protected function _getDocumentName();

    protected function _getDocumentLabel()
    {
        return Mage::helper('kiwiz')->getDocumentLabel($this->_getDocumentName());
    }

    public function sendAction()
    {
        $objectId = $this->getRequest()->getParam('id', null);
        $object = Mage::getModel('sales/order_'.$this->_getDocumentName())->load($objectId);
        try{
            if(!$object->getId())
                throw new Exception($this->__('%s #%s not found',  $this->_getDocumentLabel(), $objectId));

            if($object->getKiwizStatus() != MA_Kiwiz_Model_Source_Status::NOT_SENT)
                throw new Exception($this->__('This document cannot be sent to Kiwiz'));

            $document = Mage::getModel('kiwiz/document_'.$this->_getDocumentName());
            $document->save($object);
            if($object->getKiwizStatus() == MA_Kiwiz_Model_Source_Status::NOT_SENT)
                throw new Exception($object->getKiwizMessage());
            Mage::getSingleton('adminhtml/session')->addSuccess($this->__('%s sent to Kiwiz', $this->_getDocumentLabel()));
        } catch(Exception $e) {
            Mage::getSingleton('adminhtml/session')->addError($e->getMessage());
        }
        $this->_redirectReferer();
    }
}