<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Helper_Config extends Mage_Core_Helper_Abstract
{
    const XML_PATH_NOTIFICATION_EMAILS = 'kwgeneral/notification/emails';
    const XML_PATH_QUOTA_PERCENT_ALERT = 'kwgeneral/notification/quota_percent_alert';
    
    public function getNotificationEmails()
    {
        $tab = array_map(
            'trim',
            explode(
                PHP_EOL,
                Mage::getStoreConfig(self::XML_PATH_NOTIFICATION_EMAILS)
            )
        );

        $emails = array();
        foreach ($tab as $email) {
            if($email)
                $emails[] = $email;
        }

        return $emails;
    }

    public function getQuotaPercentAlert()
    {
        $percents = explode(',', Mage::getStoreConfig(self::XML_PATH_NOTIFICATION_EMAILS));
        if(!is_array($percents)) return array();
        sort($percents, SORT_NUMERIC);
        return $percents;
    }
}