<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Helper_Mail extends Mage_Core_Helper_Abstract
{
    const DEFAULT_EMAIL_TEMPLATE = 'kiwiz_default';

    public function templateMail(array $emails, array $sender = array(), $templateID = NULL, array $variables = array(), array $attachments = array(), $storeId = null)
    {
        if($templateID === NULL) $templateID = self::DEFAULT_EMAIL_TEMPLATE;

        if(!isset($sender['email'])) {
            $sender = array(
                'email' => Mage::getStoreConfig('trans_email/ident_general/email', $storeId),
                'name' => Mage::getStoreConfig('trans_email/ident_general/name', $storeId)
            );
        }

        if(!isset($sender['name'])) {
            $sender['name'] = null;
        }

        if($emails === array_values($emails)) {
            $names = array();
            foreach($emails as $email) $names[] = NULL;
            $emails = array_combine($emails, $names);
        }

        $emailAddress = array_keys($emails);
        $emailName = array_values($emails);
        foreach($emailName as $key => $val) {
            if(empty($val)) {
                $emailName[$key] = substr($emailAddress[$key], 0, strpos($emailAddress[$key], '@'));
            }
        }

        $emailTemplate = Mage::getModel('core/email_template')->loadDefault($templateID);
        foreach ($attachments as $attachment) {
            $emailTemplate->getMail()->createAttachment(
                $attachment['content'],
                Zend_Mime::TYPE_OCTETSTREAM,
                Zend_Mime::DISPOSITION_ATTACHMENT,
                Zend_Mime::ENCODING_BASE64,
                $attachment['file_name']
            );
        }
        $emailTemplate->setSenderEmail($sender['email']);
        $emailTemplate->setSenderName($sender['name']);
        return $emailTemplate->send($emailAddress, $emailName, $variables);
    }

    public function adminNotify(array $emails, $subject, $content, array $attachments = array())
    {
        return $this->templateMail(
            $emails,
            array(),
            NULL,
            array(
                'subject' => $subject,
                'content' => $content
            ),
            $attachments,
            null
        );
    }
}