<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Cron_Document_Send
{
    protected static $_documentNames = array(
        'invoice',
        'creditmemo'
    );

    public function run()
    {
        $limit = new Zend_Date(Mage::getModel('core/date')->timestamp());
        $limit->sub(1, Zend_Date::HOUR);

        foreach(self::$_documentNames as $documentName) {

            $document = Mage::getModel('kiwiz/document_'.$documentName);

            $collection = Mage::getModel('sales/order_'.$documentName)->getCollection()
                ->addFieldToFilter('kiwiz_status', MA_Kiwiz_Model_Source_Status::NOT_SENT)
                ->addFieldToFilter('created_at', array('lt' => $limit->toString('yyyy-MM-dd HH:mm:ss')))
                ->setOrder('created_at', 'ASC');

            foreach ($collection as $object) {
                try { $document->save($object); }
                catch ( Exception $e ) {}
            }
        }
    }
}