<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Document_Creditmemo extends MA_Kiwiz_Model_Document_Abstract
{
    protected function _getDocumentName()
    {
        return 'creditmemo';
    }

    protected function _getObjectData($object)
    {
        $order = $object->getOrder();
        $data = array(
            'increment_id'              => $object->getIncrementId(),
            'date'                      => $object->getCreatedAt(),
            'email'                     => $order->getCustomerEmail(),
            'grand_total_excl_tax'      => number_format(
                $object->getGrandTotal()-$object->getTaxAmount() > 0 ? $object->getGrandTotal()-$object->getTaxAmount() : 0,
                4,
                '.',
                ''
            ),
            'grand_total_tax_amount'    => Mage::helper('kiwiz/tax')->getKwTaxes($order, $object)
        );
        return $data;
    }
}