<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Observer_Invoice_Grid
{
    public function salesOrderInvoiceGridCollectionLoadBefore(Varien_Event_Observer $observer)
    {
        $observer->getOrderInvoiceGridCollection()->addFieldToSelect('*');
    }
    public function toHtmlBefore(Varien_Event_Observer $observer)
    {
        $tab = array(
            'sales_invoice_grid' => 'created_at',
            'order_invoices' => 'created_at'
        );
        $block = $observer->getEvent()->getBlock();
        if( in_array($block->getId(), array_keys($tab)) ) {
            $block->addColumnAfter(
                'kiwiz_status',
                array(
                    'header' => Mage::helper('kiwiz')->__('Kiwiz Certification'),
                    'index'  => 'kiwiz_status',
                    'filter_index' => 'kiwiz_status',
                    'type' => 'options',
                    'filter' => 'kiwiz/adminhtml_filter_kiwizstatus',
                    'renderer' => 'kiwiz/adminhtml_renderer_kiwizstatus',
                    'width' => '100px'
                ),
                $tab[$block->getId()]
            );

            $block->addColumnAfter(
                'kiwiz_action',
                array(
                    'header' => Mage::helper('kiwiz')->__('Kiwiz Actions'),
                    'index'  => 'kiwiz_action',
                    'filterable' => false,
                    'sortable' => false,
                    'renderer' => 'kiwiz/adminhtml_renderer_kiwizaction_invoice',
                    'width' => '150px'
                ),
                'kiwiz_status'
            );
        }
    }
}