<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Observer_Order
{
    public function saveAfter(Varien_Event_Observer $observer)
    {
        $order = $observer->getEvent()->getOrder();
        if($order->getIsParametersSaved()) return;

        $config = Mage::getModel('kiwiz/tax_config')->getConfig($order->getStore());
        if($config) {
            $taxes = Mage::getModel('tax/sales_order_tax')->getCollection()->addFieldToFilter('order_id', $order->getId());
            foreach ($taxes as $tax)
                $tax->setConfig($config)->save();
        }

        $order->setIsParametersSaved(true);
    }
}