<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Observer_Order_Grid
{
    public function salesOrderGridCollectionLoadBefore(Varien_Event_Observer $observer)
    {
        $observer->getOrderGridCollection()
            ->getSelect()
            ->join(
            array('s' => Mage::helper('kiwiz')->getOrderStatusTableExpression()),
            "`main_table`.`entity_id`=`s`.`order_id`",
            array('s.kiwiz_status')
        );
    }

    public function toHtmlBefore(Varien_Event_Observer $observer)
    {
        $block = $observer->getEvent()->getBlock();
        if($block->getId() == 'sales_order_grid') {
            $block->addColumnAfter(
                'kiwiz_status',
                array(
                    'header' => Mage::helper('kiwiz')->__('Kiwiz Certification'),
                    'index'  => 'kiwiz_status',
                    'filter_index' => 'kiwiz_status',
                    'type' => 'options',
                    'filter' => 'kiwiz/adminhtml_filter_kiwizorderstatus',
                    'renderer' => 'kiwiz/adminhtml_renderer_kiwizstatus',
                    'width' => '100px'
                ),
                'status'
            );
        }
    }
}