<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Observer_System_Config
{
    const CHECK_IDENTITY_FLAG = 'kiwiz_check_identity_pdf';


    public function checkAuthDataConfigBeforeSave(Varien_Event_Observer $observer)
    {
        $object = $observer->getEvent()->getObject();
        if($object->getSection() == 'kwauth') {
            MA_Kiwiz_Model_Api_Client::unsetAllTokens();
        }
    }

    public function checkIdentityPdfConfigBeforeSave(Varien_Event_Observer $observer)
    {
        $object = $observer->getEvent()->getObject();
        if( in_array($object->getSection(), array('kwgeneral', 'sales')) && !$object->hasData(self::CHECK_IDENTITY_FLAG)) {
            $newSection = $object->getSection() == 'kwgeneral' ? 'sales' : 'kwgeneral';
            $groups = array('identity' => $object->getData('groups', 'identity'));

            $clone = clone $object;
            $clone->setSection($newSection);
            $clone->setGroups($groups);
            $clone->setData(self::CHECK_IDENTITY_FLAG, 1);
            $clone->save();

            if(isset($_FILES['groups']['tmp_name']['identity']['fields']['logo']['value'])) {
                $_FILES['groups']['tmp_name']['identity']['fields']['logo']['value'] = null;

                $section = $object->getSection();
                $scope = $object->getScope();
                $scopeId = $object->getScopeId();

                $logo = Mage::getResourceModel('core/config_data_collection')
                    ->addFieldToFilter('scope_id', $scopeId)
                    ->addFieldToFilter('path', $newSection.'/identity/logo')
                    ->getFirstItem()
                    ->getValue();

                Mage::getModel('core/config')->saveConfig(
                    $section.'/identity/logo',
                    $logo,
                    $scope,
                    $scopeId
                );

                $groups = $object->getGroups();
                unset($groups['identity']['fields']['logo']);
                $object->setGroups($groups);
            }
        }
    }
}