<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Pdf extends Zend_Pdf
{
    protected $_origData = null;

    public function __construct($source = null, $revision = null, $load = false)
    {
        $this->_origData = $source;
        parent::__construct($source, $revision, $load);
    }

    public function render($newSegmentOnly = false, $outputStream = null)
    {
        if($this->_origData !== null)
            return $this->_origData;

        return parent::render($newSegmentOnly = false, $outputStream = null);
    }

    public static function parse(&$source = null, $revision = null)
    {
        return new MA_Kiwiz_Model_Pdf($source, $revision);
    }
}