<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Source_Status
{
    const NO_DOC = -1;
    const NOT_SENT = 0;
    const SENT = 1;
    const DO_NOT_SEND = 2;

    public function toArray()
    {
        return array(
            self::NOT_SENT => Mage::helper('kiwiz')->__('Not certified'),
            self::SENT => Mage::helper('kiwiz')->__('Certified'),
            self::DO_NOT_SEND => Mage::helper('kiwiz')->__('Cannot be certified')
        );
    }

    public function toOptionArray()
    {
        $array = $this->toArray();
        $optionArray = array();
        foreach ($array as $value => $label) {
            $optionArray[] = array(
                'value' => $value,
                'label' => $label
            );
        }
        return $optionArray;
    }

    public function getStatusLabel($status_code)
    {
        if($status_code == self::NO_DOC)
            return Mage::helper('kiwiz')->__('No document');

        $array = $this->toArray();
        return isset($array[$status_code]) ? $array[$status_code] : null;
    }
}