<?php
/**
 * Kiwiz
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is available through the world-wide-web at the following URI:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the PHP License and are unable to
 * obtain it through the web, please send a note to contact@kiwiz.io
 * so we can mail you a copy immediately.
 *
 * @author     Kiwiz <contact@kiwiz.io>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

class MA_Kiwiz_Model_Tax_Config extends Mage_Tax_Model_Config
{
    protected $_id = null;
    protected $_config = array();
    protected $_storeConfig=null;

    public function getConfigId()
    {
        return $this->_id;
    }

    public function setStoreConfig($storeConfig)
    {
        $this->_storeConfig = $storeConfig;
        return $this;
    }

    public function loadConfig($id = null)
    {
        if($id !== null) {
            $tax = Mage::getModel('tax/sales_order_tax')->load($id);
            if($tax->getConfig()) {
                $this->_config = Mage::helper('core')->jsonDecode($tax->getConfig());
                $this->_id = $id;
                return $this;
            }
        }

        $this->_id = null;
        $this->_config = array();
        return $this;
    }

    public function getAlgorithm($store = null)
    {
        return
            isset($this->_config[self::XML_PATH_ALGORITHM]) ?
                $this->_config[self::XML_PATH_ALGORITHM] :
                parent::getAlgorithm($store ?: $this->_storeConfig);
    }

    public function applyTaxAfterDiscount($store=null)
    {
        return
            isset($this->_config[self::CONFIG_XML_PATH_APPLY_AFTER_DISCOUNT]) ?
                $this->_config[self::CONFIG_XML_PATH_APPLY_AFTER_DISCOUNT] :
                parent::applyTaxAfterDiscount($store ?: $this->_storeConfig);
    }

    public function getConfig($store=null, $json = true)
    {
        $config = array(
            self::XML_PATH_ALGORITHM                    => parent::getAlgorithm($store ?: $this->_storeConfig),
            self::CONFIG_XML_PATH_APPLY_AFTER_DISCOUNT  => parent::applyTaxAfterDiscount($store ?: $this->_storeConfig)
        );

        if($json)
            $config = Mage::helper('core')->jsonEncode($config);

        return $config;
    }
}